/*
 * Segment 2 (KEx),  SWE 2.1 LMS
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.lms.versand.kodierer;

import java.util.logging.Level;
import java.util.logging.Logger;

import org.junit.Assert;
import org.junit.BeforeClass;
import org.junit.Test;

import com.bitctrl.resource.Configuration;
import com.bitctrl.util.logging.LoggerTools;

import de.bsvrz.kex.lms.versand.ftpclient.LMSFTPClient;
import de.bsvrz.kex.lms.vew.LMSParameter;
import de.bsvrz.sys.funclib.commandLineArgs.ArgumentList;
import de.bsvrz.sys.funclib.debug.Debug;

/**
 * Test FTP-Dateiversand.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 */
public class FtpClientIT {

	/** Der Logger der Klassse. */
	private static Logger log = Logger.getLogger(FtpClientIT.class.getName());

	/**
	 * externe Konfiguration.
	 */
	private static Configuration konfig = null;

	/**
	 * Initialisiert den Testfall.
	 *
	 * @throws Exception
	 *             bei einem Fehler.
	 */
	@BeforeClass
	public static void beforeClass() throws Exception {

		final Level level;

		FtpClientIT.konfig = Configuration.getConfiguration();
		level = Level.parse(FtpClientIT.konfig.getString("debug.level"));
		LoggerTools.setLoggerLevel(level);
		FtpClientIT.log.setLevel(level);

		// String[] commandArguments = {
		final ArgumentList al = new ArgumentList(new String[] { "-debugLevelStdErrText=" + level });

		Debug.init(FtpClientIT.class.getName(), al);
	}

	/**
	 * Setup-Methode.
	 *
	 * @throws Exception
	 *             bei Ausnahmen
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
		System.out.println("Eine KeepAlive-Datei wird testweise über FTP versendet");
	}

	/**
	 * L&ouml;scht alle RDS-Meldungen.
	 */
	@Test
	public void testeDateiUpload() {
		final LMSParameter parameter = new LMSParameter();
		parameter.setLMSHostRechner(FtpClientIT.konfig.getString("ftpserver"));
		parameter.setLMSHostNutzer(FtpClientIT.konfig.getString("ftpnutzer"));
		parameter.setLMSHostPasswort(FtpClientIT.konfig.getString("ftppasswort"));
		parameter.setAusgangsverzeichnis(FtpClientIT.konfig.getString("ftpverzeichnis"));

		final LMSFTPClient ftpc = new LMSFTPClient(parameter, false);

		Assert.assertTrue(ftpc.sendeKeepAlive());
	}
}
