/*
 * Segment 2 (KEx),  SWE 2.1 LMS
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.lms.vew;

/**
 * Interner Status einer Meldung.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 */

public enum MeldungsStatus {

	/** Meldung aktualisiert. */
	AKTUALISIERT("aktualisiert"), /** Meldung gültig. */
	GUELTIG("gültig"), /** Meldung versenden. */
	VERSENDEN("versenden"), /** Meldung versendet. */
	VERSENDET("versendet"), /** Meldung fehlerhaft. */
	FEHLERHAFT("fehlerhaft");

	/**
	 * Statustext.
	 */
	private String statustext;

	/**
	 * Privater Konstruktor.
	 *
	 * @param string
	 *            Textwert des Status
	 */
	private MeldungsStatus(final String string) {
		statustext = string;
	}

	@Override
	public String toString() {
		return statustext;
	}
}
